Bug 231946 - java/java3d: fix build on powerpc64
Summary: java/java3d: fix build on powerpc64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Mark Linimon
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-04 15:17 UTC by Piotr Kubaj
Modified: 2019-01-02 09:48 UTC (History)
1 user (show)

See Also:


Attachments
patch (1.06 KB, patch)
2018-10-04 15:17 UTC, Piotr Kubaj
no flags Details | Diff
v2 (2.37 KB, patch)
2018-10-31 14:51 UTC, Piotr Kubaj
no flags Details | Diff
successfull build log (129.04 KB, text/plain)
2018-12-10 10:36 UTC, Piotr Kubaj
no flags Details
v3 (2.51 KB, patch)
2018-12-10 10:37 UTC, Piotr Kubaj
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Kubaj freebsd_committer 2018-10-04 15:17:06 UTC
Created attachment 197781 [details]
patch

When building on powerpc64, libj3dcore-ogl.so library isn't built. Fix install target by not trying to install it.

Tested on powerpc64 and amd64.

Hardware sponsored by IntegriCloud.
Comment 1 Piotr Kubaj freebsd_committer 2018-10-31 14:51:54 UTC
Created attachment 198798 [details]
v2

Fix it properly.

The library wasn't built because of bad CFLAGS.
Comment 2 commit-hook freebsd_committer 2018-11-05 23:28:25 UTC
A commit references this bug:

Author: linimon
Date: Mon Nov  5 23:27:50 UTC 2018
New revision: 484256
URL: https://svnweb.freebsd.org/changeset/ports/484256

Log:
  When building on powerpc64, libj3dcore-ogl.so library isn't built.
  Fix install target by fixing CFLAGS.

  PR:		231946
  Submitted by:	Piotr Kubaj

Changes:
  head/java/java3d/Makefile
Comment 3 Piotr Kubaj freebsd_committer 2018-11-27 13:54:43 UTC
@Mark
You committed the first version of my patch, which wasn't correct. Could you commit the newer version?
Comment 4 Mark Linimon freebsd_committer freebsd_triage 2018-11-28 08:25:16 UTC
With the newer version I get:

pkg-static: Unable to access file /wrkdirs/usr/ports/java/java3d/work/stage/usr/local/openjdk8/jre/lib/powerpc64/libj3dcore-ogl.so:No such file or directory
Comment 5 Piotr Kubaj freebsd_committer 2018-12-10 10:36:04 UTC
Created attachment 200004 [details]
successfull build log
Comment 6 Piotr Kubaj freebsd_committer 2018-12-10 10:37:07 UTC
Created attachment 200005 [details]
v3

Just for clarity, I'm attaching the patch against current ports tree.

As shown with attached build log, it builds.
Comment 7 commit-hook freebsd_committer 2019-01-02 09:33:29 UTC
A commit references this bug:

Author: linimon
Date: Wed Jan  2 09:32:49 UTC 2019
New revision: 489072
URL: https://svnweb.freebsd.org/changeset/ports/489072

Log:
  Correct mistakes made in r484256 by not including newer version of
  patch.  This correctly fixes the build on powerpc64.

  PR:		231946
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

Changes:
  head/java/java3d/Makefile
  head/java/java3d/files/patch-freebsd
Comment 8 commit-hook freebsd_committer 2019-01-02 09:48:42 UTC
A commit references this bug:

Author: linimon
Date: Wed Jan  2 09:48:08 UTC 2019
New revision: 489073
URL: https://svnweb.freebsd.org/changeset/ports/489073

Log:
  MFH: r489072

  Correct mistakes made in r484256 by not including newer version of
  patch.  This correctly fixes the build on powerpc64.

  PR:		231946
  Submitted by:	Piotr Kubaj
  Approved by:	portmgr (tier-2 blanket)

  Approved by:	portmgr (tier-2 blanket)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/java/java3d/Makefile
  branches/2019Q1/java/java3d/files/patch-freebsd